Skip to main content
GET
/
prices
List Prices
curl --request GET \
  --url https://api.atlas.co/functions/v1/prices \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "price",
      "product": "<string>",
      "active": true,
      "currency": "<string>",
      "unit_amount": 123,
      "type": "one_time",
      "billing_scheme": "per_unit",
      "recurring": {
        "interval": "<string>",
        "interval_count": 123,
        "usage_type": "<string>",
        "aggregate_usage": "<string>"
      },
      "tiers": [
        {}
      ],
      "tiers_mode": "<string>",
      "nickname": "<string>",
      "metadata": {},
      "created": 123
    }
  ],
  "has_more": true,
  "total_count": 123
}

Authorizations

Authorization
string
header
required

API key (sk_test_* or sk_live_*)

Query Parameters

limit
integer
default:10
Required range: x <= 100
offset
integer
default:0
product
string
active
boolean
type
enum<string>
Available options:
one_time,
recurring

Response

200 - application/json

Price list

object
enum<string>
Available options:
list
data
object[]
has_more
boolean
total_count
integer